TOTP जनरेटर (2FA कोड)

Base32 सीक्रेट से SHA-1/256/512, 6–8 अंकों और किसी भी अवधि के समय-आधारित वन-टाइम पासवर्ड (TOTP) बनाएँ। लाइव काउंटडाउन, RFC 6238 सत्यापित।

2FA सेट करते समय सेवा जो की दिखाती है। स्पेस और छोटे अक्षर चलेंगे।

मौजूदा समय इस्तेमाल करने के लिए खाली छोड़ें।

TOTP (RFC 6238) काउंटर T = floor(Unix समय / अवधि) के साथ HOTP की गणना करता है। ज़्यादातर ऐप SHA-1, 6 अंक और 30 सेकंड इस्तेमाल करते हैं। आपके डिवाइस की घड़ी सही होनी चाहिए। की आपके ब्राउज़र से बाहर नहीं जाती, फिर भी उसे पासवर्ड की तरह संभालें।

पूरी तरह आपके ब्राउज़र में चलता है। आपका डेटा कभी अपलोड नहीं होता।

TOTP जनरेटर (2FA) क्या है?

यह टूल Base32 सीक्रेट कुंजी से वही 6–8 अंकों के कोड निकालता है जो ऑथेंटिकेटर ऐप दिखाते हैं। यह काउंटडाउन के साथ लाइव रिफ़्रेश होता है, पिछला और अगला कोड भी दिखाता है, और सर्वर टेस्ट करने के लिए किसी भी Unix समय का कोड निकाल सकता है।

TOTP जनरेटर (2FA) का उपयोग कैसे करें

  1. सीक्रेट की (Base32) पेस्ट करें या नई रैंडम की क्लिक करें।
  2. सेवा से मेल खाने के लिए एल्गोरिदम, अंक और अवधि तय करें (आम तौर पर SHA-1, 6, 30)।
  3. मौजूदा कोड और बचे सेकंड पढ़ें।
  4. किसी ख़ास पल का कोड निकालने के लिए चाहें तो Unix समय दर्ज करें।

उदाहरण

इनपुट
Secret GEZDGNBVGY3TQOJQGEZDGNBVGY3TQOJQ, SHA-1, 8 digits, Unix time 59
आउटपुट
94287082

RFC 6238 परिशिष्ट B का टेस्ट वेक्टर (सीक्रेट ASCII 12345678901234567890 का Base32 रूप है)।

TOTP जनरेटर (2FA) का उपयोग कब करें

2FA इम्प्लीमेंटेशन टेस्ट करने, सीक्रेट होने पर डेस्कटॉप पर कोड वापस पाने, या TOTP कैसे काम करता है यह समझने के लिए इसका उपयोग करें। अपने असली अकाउंट के सीक्रेट ब्राउज़र टैब में न रखें; ऑथेंटिकेटर ऐप या पासवर्ड मैनेजर इस्तेमाल करें।

TOTP जनरेटर (2FA) कैसे काम करता है

TOTP (RFC 6238) काउंटर T = floor(Unix समय / अवधि) के साथ HOTP (RFC 4226) निकालता है: Base32-डिकोड किए सीक्रेट से कीड 8-बाइट बिग-एंडियन काउंटर का HMAC-SHA-1/256/512, फिर डायनामिक ट्रंकेशन (ऑफ़सेट = आख़िरी निबल) और मॉड्यूलो 10^अंक। HMAC Web Crypto API से निकलता है। RFC 6238 परिशिष्ट B के सभी टेस्ट वेक्टर ठीक-ठीक दोहराए जाते हैं।

सामान्य उपयोग मामले

  • विकास में चल रहे वेब ऐप में TOTP लॉगिन टेस्ट करना
  • कोड की तुलना से सर्वर की घड़ी का ड्रिफ़्ट जाँचना
  • RFC 6238 टेस्ट वेक्टर दोहराना
  • CI डॉक्यूमेंटेशन के टेस्ट अकाउंट के लिए कोड बनाना

सुरक्षा नोट

TOTP सीक्रेट पासवर्ड जितना ही संवेदनशील है: जिसके पास वह है वह आपके कोड बना सकता है।

अक्सर पूछे जाने वाले प्रश्न

मेरे कोड ऐप से मेल क्यों नहीं खाते?

जाँचें कि एल्गोरिदम, अंक और अवधि मेल खाते हैं, और आपके कंप्यूटर की घड़ी सटीक है; 30 सेकंड का घड़ी-अंतर कोड बदल देता है।

क्या मेरा सीक्रेट कहीं भेजा जाता है?

नहीं। HMAC आपके ब्राउज़र में Web Crypto से निकलता है।

कौन-सी Base32 वर्णमाला उपयोग होती है?

RFC 4648: A–Z और 2–7। स्पेस, डैश, लोअरकेस और = पैडिंग स्वीकार होते हैं और अनदेखे किए जाते हैं।

और श्रेणियाँ देखें